LockUser (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.api

## Class LockUser

- java.lang.Object
- - com.marketfactory.api.LockUser

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<LockUser>

      public final class LockUser
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<LockUser>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `clRequestID`
    `boolean` | `locked`
    `java.lang.String` | `username`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `LockUser()`
    `protected` | `LockUser(ProtoByteBuffer buffer)`
    `` | `LockUser(java.lang.String clRequestID, boolean locked, java.lang.String username)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(LockUser rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### clRequestID

          public java.lang.String clRequestID

    - #### locked

          public boolean locked

    - #### username

          public java.lang.String username

  - ### Constructor Detail

    - #### LockUser

          public LockUser()

    - #### LockUser

          protected LockUser(ProtoByteBuffer buffer)

    - #### LockUser

          public LockUser(java.lang.String clRequestID,
                          boolean locked,
                          java.lang.String username)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(LockUser rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<LockUser>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)